[MNT-4189] CLONE -Alfresco Explorer still has dependencies on portlet.jar Created: 18-Mar-10  Updated: 19-Mar-13  Resolved: 23-Mar-10

Status: Closed
Project: Service Packs and Hot Fixes
Component/s: Alfresco Explorer
Affects Version/s: 3.2 R
Fix Version/s: 3.2.1

Type: Bug
Reporter: Dave Ward [X] (Inactive) Assignee: Closed Bugs (Inactive)
Resolution: Fixed Votes: 0
Labels: None
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified

Issue Links:
Cloners
is clone of ALF-1995 Alfresco Explorer still has dependenc... Closed
Bug Priority:
Category 1

 Description   

Steve has found that in certain circumstances, we get errors such as the following from the Explorer client.

javax.faces.FacesException: Unable to compile class for JSP:

An error occurred at line: 44 in the jsp file: /jsp/dashboards/container.jsp
The type javax.portlet.PortletSession cannot be resolved. It is indirectly referenced from required .class files
41: FacesContext fc = FacesContext.getCurrentInstance();
42:
43: // set locale for JSF framework usage
44: fc.getViewRoot().setLocale(Application.getLanguage(fc));
45: %>
46:
47: <%-- load a bundle of properties with I18N strings --%>

This is because portlet.jar was removed from inside alfresco.war to allow alfresco.war to be deployed on Liferay. We need to move the remaining direct dependencies on the portlet API into portlet specific classes.



 Comments   
Comment by Steve Rigby [X] (Inactive) [ 31-Mar-10 ]

For retest in 3.2 sp1 b486

Comment by Alfresco QA Team (Inactive) [ 08-Apr-10 ]

Successfully validated in Alfresco 3.2 b 486 (via the SVN r 19769).

Generated at Fri Sep 25 18:52:46 BST 2020 using Jira 7.13.15#713015-sha1:7c5ddd2c3e1709974ae9c48c17df8edd3919fe2c.